%define name corkscrew
%define version 2.0
%define rel     6
%define patchSet0 20060404

Name: %{name}
Summary: Tool for tunneling SSH through HTTP proxies
Version: %{version}
Release: %mkrel %{rel}
License: GPL
Url: http://www.agroman.net/%{name}
Group: Networking/Other
Source0: http://www.agroman.net/%{name}/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}.%{patchSet0}-manpage.patch.bz2
Patch1: %{name}-%{version}.%{patchSet0}-firstpacket.patch.bz2

BuildRoot: %{_tmppath}/%{name}-buildroot



%description
Corkscrew is a tool for tunneling SSH through HTTP proxies.

%prep
%setup
%patch0 -p1 -b .manpage
%patch1 -p1 -b .firstpacket

# Fix some bad references in the man pages
perl -pi -e 's|/usr/local/bin|%{_bindir}|g;' corkscrew.1 README

%build
rm configure # to prevent aclocal's ac-wrapper from using the old autoconf 
aclocal --force
autoheader
automake -a --add-missing --force-missing --gnu
autoconf

%configure
%make

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
cp corkscrew.1 $RPM_BUILD_ROOT%{_mandir}/man1/corkscrew.1

%makeinstall


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0-6mdv2008.1
+ Revision: 171792
- fix buildf
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request
- fix autoconf-2.5x path

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu May 03 2007 Michael Scherer <misc@mandriva.org> 2.0-6mdv2008.0
+ Revision: 21247
- rebuild, use %%mkrel
- Import corkscrew




* Wed Apr  5 2006 Glenn Rolland <glenux@mandriva.com> 2.0-5mdk
- Removed the patch for config.sub/config.guess in favor of something
  cleaner in the spec file
- Removed the patch fixing the paths in README in favor of a perl regexp 
  in the spec file

* Tue Apr  4 2006 Glenn Rolland <glenux@mandriva.com> 2.0-4mdk
- Updated config.sub/config.guess (thanks Aurelien Jarno and debian BTS)
# (close #317321 in debian BTS) 
- Applied patch by Franck Kirschner to fix issue when first packet sent
  by proxy has both header and beginning of answer (thanks debian BTS)
# (no entry in debian BTS) 
- Fixed corkscrew path in README
# (close #219953 in debian BTS) 
- Stolen manpage from debian package (provided by Laurent Fousse)
# (close #222038 in debian BTS) 

* Tue Aug 16 2005 Emmanuel Blindauer <mdk@agat.net> 2.0-3mdk
- yearly rebuild

* Fri Aug  6 2004 Emmanuel Blindauer <mdk@agat.net> 2.0-2mdk
- rpmlint doesn't do all the jobs, so I'll have to fix summary, url and so on!

* Fri Aug  6 2004 Emmanuel Blindauer <manu@agat.net> 2.0-1mdk
- first packaged version
